List companies
curl --request GET \
--url https://app.alvahq.com/api/v1/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.alvahq.com/api/v1/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.alvahq.com/api/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.alvahq.com/api/v1/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.alvahq.com/api/v1/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.alvahq.com/api/v1/companies")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.alvahq.com/api/v1/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Acme Corporation",
"domain": "acme.com",
"industry": "Technology",
"size": "51-200",
"location": "London, UK",
"website": "https://acme.com",
"description": "<string>",
"lifecycleStage": "target",
"relationshipType": "customer",
"primaryEmail": "<string>",
"primaryPhone": "<string>",
"emails": [
"<string>"
],
"phones": [
"<string>"
],
"linkedinUrl": "<string>",
"foundedYear": 123,
"employeeCountRange": "<string>",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enrichmentIcpId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originalName": "<string>",
"customFields": {},
"enrichmentStatus": "<string>",
"enrichmentQueuedAt": "2023-11-07T05:31:56Z",
"enrichmentCompletedAt": "2023-11-07T05:31:56Z",
"lastEnrichedAt": "2023-11-07T05:31:56Z",
"websiteSummary": "<string>",
"linkedinSummary": "<string>",
"emailPattern": "<string>",
"technologies": null,
"socialProfiles": null,
"discoverySourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboundSource": "<string>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notInterestedUntil": "2023-11-07T05:31:56Z",
"notInterestedReason": "<string>",
"notInterestedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"bdrOutreach": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentName": "<string>",
"status": "<string>",
"lastActivityAt": "2023-11-07T05:31:56Z",
"nextActionNote": "<string>",
"nextActionNoteSource": "<string>",
"nextEvaluationAt": "2023-11-07T05:31:56Z",
"waitForEnrichment": true
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasMore": true
},
"resource": "<string>"
}{
"error": "Unauthorised",
"message": "Invalid or revoked API key"
}{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Maximum 100 requests per minute.",
"retryAfter": 30
}Companies
List companies
Retrieve a paginated list of companies. Supports search, filtering, and sorting.
GET
/
api
/
v1
/
companies
List companies
curl --request GET \
--url https://app.alvahq.com/api/v1/companies \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.alvahq.com/api/v1/companies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.alvahq.com/api/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.alvahq.com/api/v1/companies",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.alvahq.com/api/v1/companies"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.alvahq.com/api/v1/companies")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.alvahq.com/api/v1/companies")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Acme Corporation",
"domain": "acme.com",
"industry": "Technology",
"size": "51-200",
"location": "London, UK",
"website": "https://acme.com",
"description": "<string>",
"lifecycleStage": "target",
"relationshipType": "customer",
"primaryEmail": "<string>",
"primaryPhone": "<string>",
"emails": [
"<string>"
],
"phones": [
"<string>"
],
"linkedinUrl": "<string>",
"foundedYear": 123,
"employeeCountRange": "<string>",
"ownerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enrichmentIcpId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"originalName": "<string>",
"customFields": {},
"enrichmentStatus": "<string>",
"enrichmentQueuedAt": "2023-11-07T05:31:56Z",
"enrichmentCompletedAt": "2023-11-07T05:31:56Z",
"lastEnrichedAt": "2023-11-07T05:31:56Z",
"websiteSummary": "<string>",
"linkedinSummary": "<string>",
"emailPattern": "<string>",
"technologies": null,
"socialProfiles": null,
"discoverySourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"inboundSource": "<string>",
"createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notInterestedUntil": "2023-11-07T05:31:56Z",
"notInterestedReason": "<string>",
"notInterestedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"bdrOutreach": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentName": "<string>",
"status": "<string>",
"lastActivityAt": "2023-11-07T05:31:56Z",
"nextActionNote": "<string>",
"nextActionNoteSource": "<string>",
"nextEvaluationAt": "2023-11-07T05:31:56Z",
"waitForEnrichment": true
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"limit": 123,
"total": 123,
"totalPages": 123,
"hasMore": true
},
"resource": "<string>"
}{
"error": "Unauthorised",
"message": "Invalid or revoked API key"
}{
"error": "Too Many Requests",
"message": "Rate limit exceeded. Maximum 100 requests per minute.",
"retryAfter": 30
}Authorizations
API key from Settings > Developer. Format: alva_sk_...
Query Parameters
Page number
Required range:
x >= 1Items per page (max 100)
Required range:
1 <= x <= 100Sort by field:direction. Fields: name, createdAt, updatedAt, industry, location. Direction: asc or desc. Example: createdAt:desc
Search by company name
Filter by industry
Filter by lifecycle stage. Use "unknown" to match companies with no stage set.
Available options:
target, prospect, lead, customer, evaluating, engaging, negotiating, vendor, partner, supplier, unknown